#Basic Information
Name:            xhtml1-dtds
Version:         1.0
Release:         20020801.17
Summary:         Definitions for XHTML 1.0 document type
License:         W3C
URL:             http://www.w3.org/TR/2002/REC-xhtml1-20020801/
Source0:         http://www.w3.org/TR/2002/REC-xhtml1-20020801/xhtml1.tgz
Source1:         xhtml1-dtds.catalog.xml
Patch0000:       xhtml1-dtds-sgml-catalog.patch
Patch0001:       xhtml1-dtds-sgml-dcl.patch
BuildArch:       noarch

#Dependency
BuildRequires:   libxml2 >= 2.4.8
Requires:        libxml2 >= 2.4.8 xml-common sgml-common
Requires(post):  libxml2
Requires(preun): libxml2

%description
These DTDs and entity sets form a normative part of this specification.
The complete set of DTD files together with an XML declaration and SGML
Open Catalog is included in the zip file and the gzip'd tar file for this
specification. Users looking for local copies of the DTDs to work with
should download and use those archives rather than using the specific
DTDs referenced below.

#Build sections
%prep
%autosetup -n xhtml1-20020801 -p1
cp -p %{SOURCE1} DTD/catalog.xml

%build

%install
install -d $RPM_BUILD_ROOT%{_datadir}/xml/xhtml/1.0
cp -p DTD/* $RPM_BUILD_ROOT%{_datadir}/xml/xhtml/1.0

install -d $RPM_BUILD_ROOT%{_sysconfdir}/xml
xmlcatalog --noout --create $RPM_BUILD_ROOT%{_sysconfdir}/xml/xhtml1-dtds-%{version}-%{release}.xml

for i in "-//W3C//DTD XHTML 1.0 " "-//W3C//ENTITIES Latin 1 for XHTML" "-//W3C//ENTITIES Special for XHTML" \
"-//W3C//ENTITIES Symbols for XHTML" ; do
  xmlcatalog --noout --add "delegatePublic" "$i" file://%{_datadir}/xml/xhtml/1.0/catalog.xml \
    $RPM_BUILD_ROOT%{_sysconfdir}/xml/xhtml1-dtds-%{version}-%{release}.xml
done

for i in xhtml1 2002/REC-xhtml1-20020801 ; do
  xmlcatalog --noout --add "delegateSystem" "http://www.w3.org/TR/$i/DTD/" file://%{_datadir}/xml/xhtml/1.0/catalog.xml \
    $RPM_BUILD_ROOT%{_sysconfdir}/xml/xhtml1-dtds-%{version}-%{release}.xml
  xmlcatalog --noout --add "delegateURI" "http://www.w3.org/TR/$i/DTD/" file://%{_datadir}/xml/xhtml/1.0/catalog.xml \
    $RPM_BUILD_ROOT%{_sysconfdir}/xml/xhtml1-dtds-%{version}-%{release}.xml
done

ln -s xhtml1-dtds-%{version}-%{release}.xml $RPM_BUILD_ROOT%{_sysconfdir}/xml/xhtml1-dtds.xml

install -d $RPM_BUILD_ROOT%{_sysconfdir}/sgml
pushd $RPM_BUILD_ROOT%{_sysconfdir}/sgml
touch xhtml1-dtds-%{version}-%{release}.soc
ln -s xhtml1-dtds-%{version}-%{release}.soc xhtml1-dtds.soc
popd

#Install and uninstall scripts
%post
pushd %{_sysconfdir}/xml > /dev/null
[ -e catalog ] || xmlcatalog --noout --create catalog
xmlcatalog --noout --add nextCatalog xhtml1-dtds-%{version}-%{release}.xml "" catalog >/dev/null
popd > /dev/null
xmlcatalog --sgml --noout --add %{_sysconfdir}/sgml/xhtml1-dtds-%{version}-%{release}.soc \
    %{_datadir}/xml/xhtml/1.0/xhtml.soc >/dev/null

%preun
xmlcatalog --noout --del xhtml1-dtds-%{version}-%{release}.xml \
    %{_sysconfdir}/xml/catalog >/dev/null
xmlcatalog --sgml --noout --del %{_sysconfdir}/sgml/xhtml1-dtds-%{version}-%{release}.soc \
    %{_datadir}/xml/xhtml/1.0/xhtml.soc >/dev/null

#Files list
%files
%ghost %{_sysconfdir}/sgml/xhtml1-dtds-%{version}-%{release}.soc
%{_sysconfdir}/sgml/xhtml1-dtds.soc
%{_sysconfdir}/xml/xhtml1-dtds*.xml
%{_datadir}/xml/xhtml/

%changelog
* Wed Nov 25 2020 lingsheng <lingsheng@huawei.com> - 1.0-20020801.17
- Disable pushd and popd outputs in post scripts

* Thu Sep 10 2020 Ge Wang <wangge20@huawei.com> - 1.0-20020801.16
- Modify Source0 Url

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.0-20020801.15
- Package init

